package com.ibm.im.rdm.notifications;

/**
 * 
 */


import java.io.Serializable;
import java.util.HashMap;

import com.dwl.base.DWLCommon;
import com.dwl.base.DWLControl;
import com.dwl.base.extensionFramework.ExtensionParameters;

// TODO: Auto-generated Javadoc
/**
 * The Class SerializableExtensionParameters. Needed for the TimerEJB. Looks much alike the ExtensionParameters object, but contains additional information
 * and implements Serializable.
 *
 * @author de152149
 */
public class SerializableExtensionParameters extends ExtensionParameters implements Serializable {

	/**
	 * Gets the control.
	 *
	 * @return the control
	 */
	public DWLControl getControl() {
		return control;
	}

	/**
	 * Sets the control.
	 *
	 * @param control the control to set
	 */
	public void setControl(DWLControl control) {
		this.control = control;
	}

	/**
	 * Gets the transaction object hierarchy.
	 *
	 * @return the txObject
	 */
	public DWLCommon getTransactionObjectHierarchy() {
		return transactionObjectHierarchy;
	}

	/**
	 * Sets the transaction object hierarchy.
	 *
	 * @param txObject the txObject to set
	 */
	public void setTransactionObjectHierarchy(DWLCommon txObject) {
		this.transactionObjectHierarchy = txObject;
	}

	/**
	 * Gets the trigger category type.
	 *
	 * @return the triggerCategoryType
	 */
	public String getTriggerCategoryType() {
		return triggerCategoryType;
	}

	/**
	 * Sets the trigger category type.
	 *
	 * @param triggerCategoryType the triggerCategoryType to set
	 */
	public void setTriggerCategoryType(String triggerCategoryType) {
		this.triggerCategoryType = triggerCategoryType;
	}

	/**
	 * Gets the action type.
	 *
	 * @return the actionType
	 */
	public String getActionType() {
		return actionType;
	}

	/**
	 * Sets the action type.
	 *
	 * @param actionType the actionType to set
	 */
	public void setActionType(String actionType) {
		this.actionType = actionType;
	}

	/**
	 * Gets the transaction type.
	 *
	 * @return the transactionType
	 */
	public String getTransactionType() {
		return transactionType;
	}

	/**
	 * Sets the transaction type.
	 *
	 * @param transactionType the transactionType to set
	 */
	public void setTransactionType(String transactionType) {
		this.transactionType = transactionType;
	}

	/**
	 * Gets the parameters.
	 *
	 * @return the parameters
	 */
	public HashMap getParameters() {
		return parameters;
	}

	/**
	 * Sets the parameters.
	 *
	 * @param parameters the parameters to set
	 */
	public void setParameters(HashMap parameters) {
		this.parameters = parameters;
	}

	/** The control. */
	private DWLControl control = null;

	/** The transaction object hierarchy. */
	private DWLCommon transactionObjectHierarchy = null;

	/** The trigger category type. */
	private String triggerCategoryType = null;

	/** The action type. */
	private String actionType;

	/** The transaction type. */
	private String transactionType = null;

	/** The parameters. */
	private HashMap parameters = null;

	/** The fully qualified behaviour extension name. */
	private String fullyQualifiedBehaviourExtensionName = null;

	/**
	 * Gets the fully qualified behaviour extension name.
	 *
	 * @return the fullyQualifiedBehaviourExtensionName
	 */
	public String getFullyQualifiedBehaviourExtensionName() {
		return fullyQualifiedBehaviourExtensionName;
	}

	/**
	 * Sets the fully qualified behaviour extension name.
	 *
	 * @param fullyQualifiedBehaviourExtensionName the fullyQualifiedBehaviourExtensionName to set
	 */
	public void setFullyQualifiedBehaviourExtensionName(String fullyQualifiedBehaviourExtensionName) {
		this.fullyQualifiedBehaviourExtensionName = fullyQualifiedBehaviourExtensionName;
	}

}
